from signal import signal, SIGTERM, SIGINT

from tfw.internals.event_handling import EventHandler


def setup_signal_handlers():
    def stop(*_):
        EventHandler.stop_all_instances()
        exit(0)
    signal(SIGTERM, stop)
    signal(SIGINT, stop)
