#!/bin/bash
set -euo pipefail

echo "export HISTFILE=\"${TFW_HISTFILE}\"" >> /tmp/bashrc &&
  cat /tmp/bashrc >> "/home/${AVATAO_USER}/.bashrc"

if [[ -z "${HOTRELOAD-}" ]]; then
  for dir in "${TFW_LIB_DIR}/tfw" "/etc/nginx" "/etc/supervisor"; do
    chown -R root:root "${dir}" && chmod -R 700 "${dir}";
  done
fi

chmod 777 "${TFW_PIPES_DIR}"

rm -f bashrc requirements.txt tfw_init.sh
